Index: pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util.vcproj	(revision 2630)
+++ pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util.vcproj	(revision 2631)
@@ -66,5 +66,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -129,5 +129,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -200,5 +200,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -272,5 +272,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -335,5 +335,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -406,5 +406,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -478,5 +478,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -541,5 +541,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -612,5 +612,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -684,5 +684,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -747,5 +747,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -818,5 +818,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -890,5 +890,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -953,5 +953,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1024,5 +1024,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1096,5 +1096,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1159,5 +1159,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1230,5 +1230,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjlib-util-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
Index: pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util_test.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util_test.vcproj	(revision 2630)
+++ pjproject/branches/projects/vs-reorg/pjlib-util/build/pjlib_util_test.vcproj	(revision 2631)
@@ -62,5 +62,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -131,5 +131,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -199,5 +199,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -268,5 +268,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -336,5 +336,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -405,5 +405,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -473,5 +473,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -542,5 +542,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -610,5 +610,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -679,5 +679,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -747,5 +747,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -816,5 +816,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -888,5 +888,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -960,5 +960,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -1032,5 +1032,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -1104,5 +1104,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -1176,5 +1176,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -1248,5 +1248,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-util-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
Index: pjproject/branches/projects/vs-reorg/pjlib/build/pjlib.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/pjlib/build/pjlib.vcproj	(revision 2630)
+++ pjproject/branches/projects/vs-reorg/pjlib/build/pjlib.vcproj	(revision 2631)
@@ -127,5 +127,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -198,5 +198,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -331,5 +331,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -402,5 +402,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -535,5 +535,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -606,5 +606,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -739,5 +739,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -810,5 +810,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -943,5 +943,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1014,5 +1014,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1147,5 +1147,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1218,5 +1218,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
Index: pjproject/branches/projects/vs-reorg/pjlib/build/pjlib_test.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/pjlib/build/pjlib_test.vcproj	(revision 2630)
+++ pjproject/branches/projects/vs-reorg/pjlib/build/pjlib_test.vcproj	(revision 2631)
@@ -62,5 +62,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -131,5 +131,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -199,5 +199,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -268,5 +268,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -336,5 +336,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -405,5 +405,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -473,5 +473,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -542,5 +542,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -610,5 +610,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -679,5 +679,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -747,5 +747,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib ole32.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -816,5 +816,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -888,5 +888,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -960,5 +960,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -1032,5 +1032,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -1104,5 +1104,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -1176,5 +1176,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
@@ -1248,5 +1248,5 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
-				OutputFile="..\..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+				OutputFile="..\bin\pjlib-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
 
 			/>
Index: pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia.vcproj	(revision 2630)
+++ pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia.vcproj	(revision 2631)
@@ -127,5 +127,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -198,5 +198,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -331,5 +331,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -402,5 +402,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -535,5 +535,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -606,5 +606,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -739,5 +739,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -810,5 +810,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -943,5 +943,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1014,5 +1014,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1147,5 +1147,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1218,5 +1218,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
Index: pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_audiodev.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_audiodev.vcproj	(revision 2630)
+++ pjproject/branches/projects/vs-reorg/pjmedia/build/pjmedia_audiodev.vcproj	(revision 2631)
@@ -66,5 +66,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -130,5 +130,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -202,5 +202,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -274,5 +274,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -338,5 +338,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -410,5 +410,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -482,5 +482,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -546,5 +546,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -618,5 +618,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -690,5 +690,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -754,5 +754,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -826,5 +826,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -898,5 +898,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -962,5 +962,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1034,5 +1034,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1106,5 +1106,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1170,5 +1170,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1242,5 +1242,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\lib\pjmedia-audiodev-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
